(function($){
if(!$.registerNameSpace("ydapp.apps.app.detail")){return false;}

$.ydapp.apps.app.detail = {
};


/*星星评分*/

var _thisObj=$("#hoverStar_post")||null;
if(!_thisObj)return;
//评分初始化
var _newNum_init= $.ydapp.game.pc_game.starNumCount(_thisObj.attr("totalNum"),_thisObj.attr("totalClk"));
$("#integer_unm").html(_newNum_init[2][0]);
$("#decimal_unm").html("."+_newNum_init[2][1]);
_thisObj.find("cite").css({width:_newNum_init[1]+"%"});
_thisObj.attr("oldNum",_newNum_init[1]);

var starPosArr=[];
var markResIdCookie = $.cookie("isMarkResId");
if(markResIdCookie && $.inArray(_thisObj.attr("resId"), markResIdCookie.split(","))>-1){
	_thisObj.click(function(){
		alert("亲，一个应用每天只能评分一次哦！");
	});
	return;
}
_thisObj.hover(
	function(){
		var _html=[];
		var _w=$(this).width()/5;
		for(var i=0;i<5;i++){
			_html.push('<a index="'+i+'" style="left:'+i*_w+'px;" href="javascript:;"></a>');
		}
		$(this).find("cite").html(_html.join("")).find("a").hover(function(){
			$(this).parent().css({width:$(this).attr("index")*_w+"%"});  
		},function(){
			
		}).unbind("click").click(function(){
			var _clkNum=parseInt($(this).attr("index")*2+2);
			var _pObj=$(this).parent().parent();
			_pObj.attr("totalNum",parseInt(_pObj.attr("totalNum"))+_clkNum);
			_pObj.attr("totalClk",parseInt(_pObj.attr("totalClk"))+1);
			var _newNum=$.ydapp.game.pc_game.starNumCount(_pObj.attr("totalNum"),_pObj.attr("totalClk"));
			$("#integer_unm").html(_newNum[2][0]);
			$("#decimal_unm").html("."+_newNum[2][1]);
			_pObj.attr("oldNum",_newNum[1]);
			//写入cookie
			var updateMCookie = markResIdCookie+","+_pObj.attr("resId");
			if(!markResIdCookie){updateMCookie = ","+_pObj.attr("resId");}
			$.cookie('isMarkResId', updateMCookie);
			$.get($.cga.config.SITE_URL+"/app/updatescore?app_id="+_pObj.attr("resId")+"&score="+_clkNum,function(datas){
				if(datas.errno != 0) {
					alert("亲，一个应用每天只能评分一次哦！");
					_thisObj.unbind();
					_thisObj.click(function(){
						alert("亲，一个应用每天只能评分一次哦！");
						return;
					});
				} else {
					alert("评分成功！");
					_pObj.find("cite").html("").css({width:_newNum[1]+"%"});
					_pObj.unbind();
				}
			},'json');//发送评分
		})
	},
	function(){
		$(this).find("cite").empty().css({width:$(this).attr("oldNum")+"%"});
	}
);

$.ydapp.apps.app.detail.showMoreTxt=function(){
	/*简介查看更多*/
	var _thisObj=$("#div_desc_wrap .text");
	_thisObj.css("height","auto");
	var _thisLineHeight=parseInt(_thisObj.css("lineHeight"));
	if(_thisObj.parent().get(0).scrollHeight>_thisLineHeight*3){
		_thisObj.height(_thisLineHeight*3);
		_thisObj.show();
	}else{
		$("#div_desc_wrap .a_more").hide();
		return;
	}
	var _thisParentHieght=_thisObj.get(0).scrollHeight+_thisLineHeight;
	$("#div_desc_wrap .a_more").toggle(function(){
		$(this).parent().prev().animate({height:_thisParentHieght}, 100);
		$(this).html("[收起简介]");
	},
	function(){
		$(this).parent().prev().animate({height:_thisLineHeight*3}, 100);
		$(this).html("[查看更多]");
	});
}

})(jQuery);